<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zfire.jiasm.syncdata.dao.mapper.ItfTblazwgmxjyktfjCJMapper">

    <update id="updateType" parameterType="com.zfire.jiasm.syncdata.parameter.InstallDetail">
        update itf_tblazwgmxjyktFj set type = 12
        where worker_order_no = #{request.orderNo}
          and syn_task_no = #{request.id} and type = 4
    </update>

    <update id="updateType1" parameterType="com.zfire.jiasm.syncdata.parameter.InstallDetail">
        update itf_tblazwgmxjyktFj set type = 12,fjindex = 2 , fjname = '水箱环境安装图'
        where worker_order_no = #{request.orderNo}
          and syn_task_no = #{request.id} and type = 7
    </update>

    <update id="updateType2" parameterType="com.zfire.jiasm.syncdata.parameter.InstallDetail">
        update itf_tblazwgmxjyktFj set fjname = '安全阀图'
        where worker_order_no = #{request.orderNo}
          and syn_task_no = #{request.id} and type = 12 and fjindex = 0
    </update>

    <update id="updateType3" parameterType="com.zfire.jiasm.syncdata.parameter.InstallDetail">
        update itf_tblazwgmxjyktFj set fjname = '供电开关(插头、插座)图'
        where worker_order_no = #{request.orderNo}
          and syn_task_no = #{request.id} and type = 12 and fjindex = 1
    </update>

    <update id="updateType4" parameterType="com.zfire.jiasm.syncdata.parameter.InstallDetail">
        update itf_tblazwgmxjyktFj set type = 13
        where worker_order_no = #{request.orderNo}
          and syn_task_no = #{request.id} and type = 5
    </update>

    <update id="updateType5" parameterType="com.zfire.jiasm.syncdata.parameter.InstallDetail">
        update itf_tblazwgmxjyktFj set fjindex = 3
        where worker_order_no = #{request.orderNo}
          and syn_task_no = #{request.id} and type = 12
          and fjindex = 2 and fjname = '内机其它'
    </update>

</mapper>